Bug 144955 - ECalendar crashes gpilotd
ECalendar crashes gpilotd
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnome-pilot (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-12 18:26 EST by rohirrim
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 12:48:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rohirrim 2005-01-12 18:26:54 EST
Description of problem:
Hi there,

I'm synchronising my palm (a tungsten T3) with evolution over USB,
using gpilot. I've set the conduits to always overwrite the desktop
entries, using the palm. Whenever I synchronize the palm, my machine
(i686) grinds down to a halt  - but doesn't actually freeze. It's
almost unusable. I tried it in a much more beefier machine A64, and
narrowed the problem down to the following: It's ECalendar. Disabling
all other conduits appart from ECalendar and running gpilotd from the
command line (so that I can see the output), shows gpilotd running
Ecalendar  to completion (I think - the last line i see is

ecalconduit-Message: post_sync: Calendar Conduit v.0.1.6

after a lot of ecalconduit-Message: add_record

but then top shows that gpilod gradually devours all the memory in my
machine (endless loop), which makes it grind to a halt. It also
doesn't release the Palm, which eventually times out. This problem
didn't happen (with the same machines and palm) with FC1 or 2.

Version-Release number of selected component (if applicable):


How reproducible:

Always

Steps to Reproduce:
1. Configure palm with gpilot
2. Enable ECalendar and set it to overwrite desktop from palm
3. Hit hotsync
  
Actual results:
Machine grinds to a halt, gpilotd devours all the memory, palm times out.

Expected results:
Synchronisation complete, and gpilotd back to idle.

Additional info:
Comment 1 Matthew Miller 2006-07-10 19:01:39 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Matthew Barnes 2007-01-01 07:42:38 EST
Is this problem still present in Fedora Core 6?
Comment 3 Matěj Cepl 2007-08-31 11:22:19 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 4 Matthew Barnes 2007-10-02 12:48:11 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.